summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Tkalia <anddt@yandex.ru>2013-03-11 21:13:25 -0400
committer dsomero <xgizzmo@slackbuilds.org>2013-03-22 07:16:44 -0400
commit57846f1c776df25787c4bc8c799f285ed19b9e5b (patch)
tree331f07403b1d61af090d527e4d3df85cbf35fd5a
parent06195887da295d66b7934634d994aadf905dce3f (diff)
downloadslackbuilds-57846f1c776df25787c4bc8c799f285ed19b9e5b.tar.gz
slackbuilds-57846f1c776df25787c4bc8c799f285ed19b9e5b.tar.xz
system/makeself: Added (Make self-extractable archives on Unix)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/makeself/README10
-rw-r--r--system/makeself/makeself.SlackBuild67
-rw-r--r--system/makeself/makeself.info10
-rw-r--r--system/makeself/slack-desc18
4 files changed, 105 insertions, 0 deletions
diff --git a/system/makeself/README b/system/makeself/README
new file mode 100644
index 0000000000..12125de71f
--- /dev/null
+++ b/system/makeself/README
@@ -0,0 +1,10 @@
+makeself - Make self-extractable archives on Unix
+
+makeself.sh is a small shell script that generates a self-extractable
+tar.gz archive from a directory. The resulting file appears as a shell
+script (many of those have a .run suffix), and can be launched as is. The
+archive will then uncompress itself to a temporary directory and an optional
+arbitrary command will be executed (for example an installation script).
+This is pretty similar to archives generated with WinZip Self-Extractor in
+the Windows world. Makeself archives also include checksums for integrity
+self-validation (CRC and/or MD5 checksums).
diff --git a/system/makeself/makeself.SlackBuild b/system/makeself/makeself.SlackBuild
new file mode 100644
index 0000000000..3778185dd8
--- /dev/null
+++ b/system/makeself/makeself.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for makeself
+
+# Copyright 2013, Andrew Tkalia, Ukraine, Kyiv
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=makeself
+VERSION=2.1.5
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+sh $CWD/$PRGNAM-$VERSION.run
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/man/man1
+cp -a makeself-header.sh makeself.sh $PKG/usr/bin
+cat makeself.1 |gzip -9 > $PKG/usr/man/man1/makeself.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING TODO README makeself.lsm \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/makeself/makeself.info b/system/makeself/makeself.info
new file mode 100644
index 0000000000..dad88236ab
--- /dev/null
+++ b/system/makeself/makeself.info
@@ -0,0 +1,10 @@
+PRGNAM="makeself"
+VERSION="2.1.5"
+HOMEPAGE="http://megastep.org/makeself/"
+DOWNLOAD="http://megastep.org/makeself/makeself-2.1.5.run"
+MD5SUM="85f03bd3602fd55debec6ae449f7c15c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrew Tkalia"
+EMAIL="anddt@yandex.ru"
diff --git a/system/makeself/slack-desc b/system/makeself/slack-desc
new file mode 100644
index 0000000000..8a92bcc984
--- /dev/null
+++ b/system/makeself/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+ |-----handy-ruler------------------------------------------------------|
+makeself: makeself (Make self-extractable archives on Unix)
+makeself:
+makeself: makeself.sh is a small shell script that generates a self-extractable
+makeself: tgz archive from a directory. The resulting file appears as a shell
+makeself: script (many of those have a .run suffix), and can be launched as is.
+makeself: The archive will then uncompress itself to a temporary directory and
+makeself: an optionalarbitrary command will be executed (for example an
+makeself: installation script).This is pretty similar to archives generated
+makeself: with WinZip Self-Extractor inthe Windows world. Makeself archives
+makeself: also include checksums for integrityself-validation (CRC and/or
+makeself: MD5 checksums).